extends KinematicBody2D

const IDLE_DURATION = 0.5

export (NodePath) var move_to = null
export (float) var speed = 300.0

onready var tween = $Tween

func _ready():
	_init_tween()

func _init_tween():
	if move_to != null:
		move_to = get_node(move_to).position
		var duration = move_to.length() / speed
		tween.interpolate_property(self, "position", position, position + move_to, duration, Tween.TRANS_LINEAR, Tween.EASE_OUT_IN, IDLE_DURATION)
		tween.interpolate_property(self, "position", position + move_to, position, duration, Tween.TRANS_LINEAR, Tween.EASE_OUT_IN, duration + IDLE_DURATION * 2)
		tween.start()
